<?xml version="1.0"?>

<launch>
    <!-- Starting empty gazebo world in paused state -->
    <include file="$(find gazebo_ros)/launch/empty_world.launch" />

    <!-- Spawing robot model with a predefined position -->
    <node name="spawn_gazebo_model" pkg="gazebo_ros" type="spawn_model" 
        args="-file $(find ur5-joint-position-control)/urdf/ur5_jnt_pos_ctrl.urdf -urdf -x 0 -y 0 -z 0.1 -model ur5" />

    <!-- Start robot joint controller -->
    <include file="$(find ur5-joint-position-control)/launch/ur5_joint_position_control.launch" />
    
    <!-- Load joint controller configurations from YAML file to parameter server -->
    <rosparam file="$(find pick_and_place)/config/ur5_jnt_pos_ctrl.yaml" command="load"/>

    <!-- Start rqt with some default configuation -->
    <node name="rqt_dashboard" pkg="rqt_gui" type="rqt_gui" respawn="false" output="screen" 
        args="--perspective-file $(find pick_and_place)/config/joint_perspective.perspective"/>
</launch>
